%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Authen-SASL

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	A Perl SASL interface.
Name:		perl-%{perlname}
Version:	2.10
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Authen+SASL
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-Digest-HMAC perl-GSSAPI

%description
A Perl SASL interface.
For more details see: http://search.cpan.org/CPAN/authors/id/G/GB/GBARR/

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.10-1
- Version Update
* Sun May 14 2006 Christian Wasem <wasem@ccux-linux.de> 2.09-4
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.09-3
- Rebuild against perl-5.8.7
* Fri Dec 02 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.09-2
- removed wrong vendor flag
* Thu Dec 01 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.09-1
- Initial Release
